# spec file for package hostinfo
#
# Copyright (c) 2014 SUSE LLC
#
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Source code developed at: 
#  https://github.com/g23guy/hostinfo

Name:         hostinfo
Summary:      Gathers basic server information
URL:          https://github.com/g23guy/hostinfo
Group:        System/Monitoring
License:      GPL-2.0
Autoreqprov:  on
Version:      1.0
Release:      20.1
Source:       %{name}-%{version}.tar.gz
BuildRoot:    %{_tmppath}/%{name}-%{version}
Buildarch:    noarch
Requires:     cron
Requires:     sed

%description
A script that displays current system information to help 
identify a host and it's resources.

Authors:
--------
    Jason Record <jrecord@suse.com>
 
 
%prep
%setup -q

%build
gzip -9f man/*8

%install
pwd;ls -la
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc
install -d $RPM_BUILD_ROOT/etc/cron.daily
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/usr/share/man/man8
install -d $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
install -d $RPM_BUILD_ROOT/var/spool/%{name}
install -m 644 conf/hostinforc $RPM_BUILD_ROOT/etc
install -m 444 man/COPYING.GPLv2 $RPM_BUILD_ROOT/usr/share/doc/packages/%{name}
install -m 755 bin/hostinfo $RPM_BUILD_ROOT/usr/sbin
install -m 755 bin/hostinfo-refresh $RPM_BUILD_ROOT/etc/cron.daily
install -m 644 man/*.8.gz $RPM_BUILD_ROOT/usr/share/man/man8

%files
%defattr(-,root,root)
/usr/sbin/*
%config /etc/*
/etc/cron.daily/*
/usr/share/man/man8/*
%dir %attr(0700,root,root) /var/spool/%{name}
%dir /usr/share/doc/packages/%{name}
%doc /usr/share/doc/packages/%{name}/*

%post
echo '[[ -s /var/spool/hostinfo/root-motd ]] && cat /var/spool/hostinfo/root-motd' >> /root/.profile
echo "Run hostinfo" > /var/spool/hostinfo/root-motd

%preun
rm -f /var/spool/hostinfo/root-motd

%postun
if [[ -e /root/.profile ]]
then
	sed -i -e '/\/var\/spool\/hostinfo\/root-motd/d' /root/.profile
	if [[ ! -s /root/.profile ]]
	then
		rm -f /root/.profile
	fi
fi

%changelog
* Thu Aug 14 2014 jrecord@suse.com
- Fixed 3rd party detection (bnc#891604)
* Fri Apr 25 2014 jrecord@suse.com
- Added CIDR to IP address list
- Only show taint status for SLE12
- Fixed missing interface (bnc#874878)
* Wed Mar 19 2014 jrecord@suse.com
- Update man page
- Fixed FSF address in files
- Change to System/Monitoring spec Group
* Fri Feb 28 2014 jrecord@suse.com
- Requires sed
* Tue Feb 25 2014 jrecord@suse.com
- Annotated hostinforc
- Updated man page
- Replaced hostinfo-updates with hostinfo-refreash
- hostinfo-refreash is the cron.daily cron
- Added hostinfo-refreash to cron.daily
- Hostinfo creates /var/spool/hostinfo/root-motd
* Wed Feb 12 2014 jrecord@suse.com
- Added hostinfo-updates to check patch information
- Installs into .profile
- Hostinfo-updates links to cron.daily
- Added startup switches for hostinfo
- Updated man pages
* Thu Jan 30 2014 jrecord@suse.com
- Added hostinfo.changes
* Fri Jan 24 2014 jrecord@suse.com
- added kernel taint and install time
- initial
